Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82811 - codeweavers-wine-20020904-7.i386.rpm unable to locate KDE, GNOME
Summary: codeweavers-wine-20020904-7.i386.rpm unable to locate KDE, GNOME
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wine
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact:
URL: http://www.codeweavers.com/technology...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-27 04:44 UTC by David White
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-27 14:02:48 UTC


Attachments (Terms of Use)

Description David White 2003-01-27 04:44:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
Downloaded latest wine from above URL and installed. Installer bitches about not
being able to integrate with the Phoebe desktop: 

[root@localhost david]# rpm -i codeweavers-wine-20020904-7.i386.rpm
Warning: Unable to locate KDE. KDE integration not done
Manually copy from /opt/wine/kde for later installation.
*Warning* Unable to locate GNOME. GNOME integration not done
Manually copy from /opt/wine/gnome for later installation.
Creating symbolic links in /usr/bin for wine, winesetup, and winemaker

Attempting to run wine as normal user fails, with the following message:

[david@localhost david]$ wine notepad.exe
Invoking /opt/wine/bin/wine.bin notepad.exe ...
wine: chdir to /tmp/.wine-david/server-307-145e58 : No such file or directory
Wine failed with return code 1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. download and install CodeWeavers rpm as root
2. run winesetup as normal user.  I configured for Win-98
3. try wine notepad.exe
    

Actual Results:  Error dialog with message above

Expected Results:  MS-DOS emulation

Additional info:

I picked most of the selectable packages during installation, though not the
**EVERYTHING** package.  Did I miss something?  Does RedHat have a version
tailored to its desktop modifications?  Can you give CodeWeavers a clue what's
got to change to work with your distribution?  And I'm not sure what to make of
the startup failure in user mode...

Comment 1 Need Real Name 2003-01-28 17:03:08 UTC
I think this is an incompatibility between wine and Phoebe. I see the same
behavior with our internal version of Lotus Notes i.e. the server directory
message in the log file and wine exiting with an error. This package works just
fine on Psyche...

Does wine have any dependencies on LinuxThreads or side effect behaviors that
may be different in NPTL?

Comment 2 Need Real Name 2003-01-28 17:27:41 UTC
Found a discussion on winehq wine-devel ML - appears to be threading breakage.
http://www.winehq.com/hypermail/wine-devel/2003/01/0977.html

Comment 3 Need Real Name 2003-01-31 22:00:03 UTC
Added LD_ASSUME_KERNEL=2.2.5 to environment and most wine apps seem to be working...

Comment 4 Vedat Ozdemirler 2003-03-23 16:26:59 UTC
I have tried the wine-20030318-1rh8winehq version of wine with same error condition.

Comment 5 Karsten Hopp 2004-01-27 14:02:48 UTC
Red Hat Linux 9 didn't include wine, codeweavers wine or any other wine
packages are not supported by Red Hat. Please report bugs to the
maintainers of those packages.


Note You need to log in before you can comment on or make changes to this bug.